#include "shellscrollbar.h"
#include "sparrowshell.h"
#include "SparrowRenderer/mesh.h"
#include "SparrowRenderer/pbrmaterial.h"
#include "scene/meshnode.h"
#include "tools/utils.h"
#include <iostream>


ShellScrollBar::ShellScrollBar(SparrowShell *shell):
    ScrollBarNode(
        glm::vec2(
            SparrowShell::SCROLLBAR_PIXEL_WIDTH,
            SparrowShell::DEFAULT_FONT_SIZE*SparrowShell::BUFFER_DISPLAYED_LINES
            ),
        glm::vec3(0,0,0.5)
        ),
    m_shell(shell)
{
    setBarSize(SparrowShell::BUFFER_DISPLAYED_LINES);
}

void ShellScrollBar::update()
{
    ScrollBarNode::update();
}

